# Yahoo! UI Library

### test 3.3.0

Yahoo! UI Library > test > Test.Suite
Search:
Filters Show Private Show Protected Show Deprecated

## Class Test.Suite

A test suite that can contain a collection of TestCase and TestSuite objects.

### Constructor

Test.Suite `( data )`

Parameters:
  `data <String||Object>` The name of the test suite or an object containing a name property as well as setUp and tearDown methods.

### Properties

#### items - `private object`

Array of test suites and

#### name - `String`

The name of the test suite.

### Methods

#### add

`Void add ( testObject )`
Adds a test suite or test case to the test suite.

Parameters:
  `testObject <Y.Test.Suite||Y.Test.Case>` The test suite or test case to add.

#### setUp

`Void setUp ( )`
Function to run before each test is executed.

#### tearDown

`Void tearDown ( )`
Function to run after each test is executed.

Copyright © 2011 Yahoo! Inc. All rights reserved.